Subject: Re: [storm] iSCSI - exchange count

From: "Black, David" <[email-masked]>
Date: Wed, 8 Aug 2012 12:17:28 -0400

> The important question is: Is "6" the right number of exchanges that SHOULD be
> allowed?  There's nothing special about that number ... it "seemed like a good idea at
> the time".

Here's a little more detail/insight into the thinking behind the number 6, in
the hope of engendering discussion ... this is about the overall login,
not just number of exchanges for an individual text key.

I see value in the fact that 6 is significantly larger than 3, as 3 would be too small.
I see some value in guiding implementers to think about a larger number.  While 6 is
arbitrary, there does seem to be a range here - I would have no problem with 7 or 5,
but both 3 and 10 seem unreasonable.

Also, I'm passing along an off-list editorial suggestion:

> An iSCSI initiator or target MAY terminate a negotiation that does not
> terminate within an implementation-specific reasonable time or number of
> exchanges, but SHOULD allow at least 6 exchanges.

The use of "terminate" twice in the above sentence with different meanings is a bit
peculiar.  The second instance of "terminate" should be changed to "complete" so that
the new text would be:

   An iSCSI initiator or target MAY terminate a negotiation that does not
   complete within an implementation-specific reasonable time or number of
   exchanges, but SHOULD allow at least 6 exchanges.

Thanks,
--David

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Tuesday, July 03, 2012 12:33 PM
> To: [email-masked]
> Subject: [storm] iSCSI - exchange count
> Importance: High
> 
> <Draft co-author hat on>
> 
> I wanted to extract this change from Mallikarjun's long list of normative
> changes to call it out for attention.
> 
> The important question is: Is "6" the right number of exchanges that SHOULD be
> allowed?
> There's nothing special about that number ... it "seemed like a good idea at
> the time".
> 
> Alternate suggestions are welcome, especially if this change could cause any
> problems for current implementations.
> 
> Section 6.2
> [from]
> An iSCSI initiator or target MAY terminate a negotiation that does not end
> within a reasonable time or number of exchanges.
> 
> [to]
> An iSCSI initiator or target MAY terminate a negotiation that does not
> terminate within an implementation-specific reasonable time or number of
> exchanges, but SHOULD allow at least 6 exchanges.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Distinguished Engineer
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 
> 
> _______________________________________________
> storm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/storm